CAMERA for Galaxy
=================

[![bioconda-badge](https://img.shields.io/badge/install%20with-bioconda-brightgreen.svg?style=flat-square)](http://bioconda.github.io) [![Build Status](https://travis-ci.org/workflow4metabolomics/camera.svg?branch=master)](https://travis-ci.org/workflow4metabolomics/camera)

Our project
-----------
The [Workflow4Metabolomics](http://workflow4metabolomics.org), W4M in short, is a French infrastructure offering software tool processing, analyzing and annotating metabolomics data. It is based on the Galaxy platform.


CAMERA
------
Collection of annotation related methods for mass spectrometry data

Annotation of peaklists generated by xcms, rule based annotation of isotopes and adducts, EIC correlation based tagging of unknown adducts and fragments

Author: Carsten Kuhl, Ralf Tautenhahn, Steffen Neumann {ckuhl|sneumann}@ipb-halle.de, rtautenh@scripps.edu

Maintainer: Steffen Neumann <sneumann at ipb-halle.de>

Citation (from within R, enter citation("CAMERA")):

Kuhl C, Tautenhahn R, Boettcher C, Larson TR and Neumann S (2012). “CAMERA: an integrated strategy for compound spectra extraction and annotation of liquid chromatography/mass spectrometry data sets.” Analytical Chemistry, 84, pp. 283–289. [http://pubs.acs.org/doi/abs/10.1021/ac202450g.](http://pubs.acs.org/doi/abs/10.1021/ac202450g.)

Homepage: [https://bioconductor.org/packages/release/bioc/html/CAMERA.html](https://bioconductor.org/packages/release/bioc/html/CAMERA.html)


Galaxy
------
Galaxy is an open, web-based platform for data intensive biomedical research. Whether on the free public server or your own instance, you can perform, reproduce, and share complete analyses. 

Homepage: [https://galaxyproject.org/](https://galaxyproject.org/)


Dependencies using Conda
------------------------
[![bioconda-badge](https://img.shields.io/badge/install%20with-bioconda-brightgreen.svg?style=flat-square)](http://bioconda.github.io)

[Conda](http://conda.pydata.org/) is package manager that among many other things can be used to manage Python packages.

The main recipe: [https://github.com/bioconda/bioconda-recipes/tree/master/recipes/bioconductor-camera](https://github.com/bioconda/bioconda-recipes/tree/master/recipes/bioconductor-camera)

```
#To install miniconda2
#http://conda.pydata.org/miniconda.html
#To install the CAMERA R library using conda:
conda install r-snow bioconductor-camera bioconductor-multtest r-batch libpng graphicsmagick
#To set an environment:
conda create -n bioconductor-camera r-snow bioconductor-camera bioconductor-multtest r-batch libpng graphicsmagick`
#To activate the environment:
. activate bioconductor-camera
```

Travis
------
[![Build Status](https://travis-ci.org/workflow4metabolomics/camera.svg?branch=master)](https://travis-ci.org/workflow4metabolomics/camera)

Test and Deploy with Confidence. Easily sync your GitHub projects with Travis CI and you'll be testing your code in minutes!



Test Status
-----------

Planemo test using conda: passed for camera_annotate

Planemo test using source env.sh: passed for camera_annotate

Planemo shed_test: passed for camera_annotate


Historic contributors
---------------------
 - Gildas Le Corguillé @lecorguille - [ABiMS](http://abims.sb-roscoff.fr/) / [IFB](http://www.france-bioinformatique.fr/) - [UPMC](www.upmc.fr)/[CNRS](www.cnrs.fr) - [Station Biologique de Roscoff](http://www.sb-roscoff.fr/) - France
 - Misharl Monsoor @mmonsoor - [ABiMS](http://abims.sb-roscoff.fr/) / [IFB](http://www.france-bioinformatique.fr/) - [CNRS](www.cnrs.fr)/[UPMC](www.upmc.fr) - [Station Biologique de Roscoff](http://www.sb-roscoff.fr/) - France
 - Urszula Czerwinska [ABiMS](http://abims.sb-roscoff.fr/) / [IFB](http://www.france-bioinformatique.fr/) - [CNRS](www.cnrs.fr)/[UPMC](www.upmc.fr) - [Station Biologique de Roscoff](http://www.sb-roscoff.fr/) - France
 - Pierre Pericard - [ABiMS](http://abims.sb-roscoff.fr/) / [IFB](http://www.france-bioinformatique.fr/) - [CNRS](www.cnrs.fr)/[UPMC](www.upmc.fr) - [Station Biologique de Roscoff](http://www.sb-roscoff.fr/) - France

Thanks for their tests and ideas: Yann Guitton @yguitton and Jean-François Martin @jfrancoismartin
